# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'revere/version'

Gem::Specification.new do |spec|
  spec.name          = "revere"
  spec.version       = Revere::VERSION
  spec.authors       = ["Matthew Werner"]
  spec.email         = ["matthew@coinbase.com"]

  spec.summary       = 'Alerting Library'
  spec.description   = %Q{
    Revere is a library that provides consistent access to
    multiple alerting systems. The intent is to provide an
    easily discoverable alerting structure that enforces
    expected best practices.
  }
  spec.homepage      = "https://github.com/mwerner/revere"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.14"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
